package com.szpg.plc.message.command.write;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.WriteMemoryCommand;
import com.szpg.plc.message.response.WriteMemoryCommandResponse;

public class SetZmOnBitCommand extends WriteMemoryCommand {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2855891145220342447L;
	
	public final static int ZM_ON_ENABLE = 1;
	public final static int ZM_ON_DISABLE = 0;
	
	private int zmon;
	
	public int getZmon() {
		return zmon;
	}

	public void setZmon(int zmon) {
		this.zmon = zmon;
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_SETZMON;
	}

	@Override
	public Class<WriteMemoryCommandResponse> getResponseClass() {
		return WriteMemoryCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送设置照明启动位命令";
	}
}
